ECDomainParameters (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.crypto.params

## Class ECDomainParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.ECDomainParameters

- All Implemented Interfaces:
    ECConstants
  Direct Known Subclasses:
    ECNamedDomainParameters

      public class ECDomainParameters
      extends java.lang.Object
      implements ECConstants

- - ### Field Summary

    - ### Fields inherited from interface org.bouncycastle.math.ec.ECConstants

      `FOUR, ONE, THREE, TWO, ZERO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ECDomainParameters(ECCurve curve, ECPoint G, java.math.BigInteger n)`
    `ECDomainParameters(ECCurve curve, ECPoint G, java.math.BigInteger n, java.math.BigInteger h)`
    `ECDomainParameters(ECCurve curve, ECPoint G, java.math.BigInteger n, java.math.BigInteger h, byte[] seed)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ECCurve` | `getCurve()`
    `ECPoint` | `getG()`
    `java.math.BigInteger` | `getH()`
    `java.math.BigInteger` | `getN()`
    `byte[]` | `getSeed()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ECDomainParameters

          public ECDomainParameters(ECCurve curve,
                            ECPoint G,
                            java.math.BigInteger n)

    - #### ECDomainParameters

          public ECDomainParameters(ECCurve curve,
                            ECPoint G,
                            java.math.BigInteger n,
                            java.math.BigInteger h)

    - #### ECDomainParameters

          public ECDomainParameters(ECCurve curve,
                            ECPoint G,
                            java.math.BigInteger n,
                            java.math.BigInteger h,
                            byte[] seed)

  - ### Method Detail

    - #### getCurve

          public ECCurve getCurve()

    - #### getG

          public ECPoint getG()

    - #### getN

          public java.math.BigInteger getN()

    - #### getH

          public java.math.BigInteger getH()

    - #### getSeed

          public byte[] getSeed()